Bug 359931 - Review Request: drupal-date - This package contains both the Date module and a Date API module
Review Request: drupal-date - This package contains both the Date module and ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
:
Depends On: 359921
Blocks: 359941
  Show dependency treegraph
 
Reported: 2007-10-31 07:13 EDT by Jon Ciesla
Modified: 2008-09-10 03:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 03:17:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sven: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2007-10-31 07:13:55 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/drupal-date/drupal-date.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/drupal-date/drupal-date-1.7-1.fc7.src.rpm
Description: The Date API is available to be used by other modules and is not dependent 
on having CCK installed.  The date module is a flexible date/time field 
type for the cck content module which requires the CCK content.module and 
the Date API module.
Comment 1 Jon Ciesla 2008-02-22 13:23:57 EST
Drupal 6.0 is hitting rawhide, the 6.x version of this module is not yet ready.
Comment 3 Sven Lankes 2008-08-21 06:51:58 EDT
This seems to have the same issue with duplicate packaged %doc-Files as the other two drupal-modules I have reviewed.
Comment 5 Sven Lankes 2008-08-21 16:26:36 EDT
I'm not sure about this but maybe the date_php4-Module (for php < 5.2) should not be installed - F8 and F9 have php 5.2.x and so this is submodule not neccessary and confusing.

(While you're touching the package you might also want to update to the latest release).
Comment 6 Jon Ciesla 2008-08-22 09:10:49 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/drupal-date/drupal-date.spec
SRPM URL:http://zanoni.jcomserv.net/fedora/drupal-date/drupal-date-6.x.2.0-2.rc2.fc9.src.rpm

Updated.  I don't think having it in would hurt, but I excluded it anyway.  It doesn't seem to break anything, but can always be put back if it turns out to be needed later.
Comment 7 Sven Lankes 2008-08-22 13:56:05 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f9/i386
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2
[x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 48c215e3bac6350f74f19d752775a8bc50a8db7e date-6.x-2.0-rc2.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: f9/i386
 [?] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: i386
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

*** APPROVED ***
Comment 8 Jon Ciesla 2008-08-22 14:04:40 EDT
Many thanks!

New Package CVS Request
=======================
Package Name: drupal-date
Short Description: This package contains both the Date module and a Date API module
Owners: limb
Branches: F-9
InitialCC:
Comment 9 Kevin Fenzi 2008-08-23 13:46:09 EDT
The description seems odd here, let me know if you would like to change it. 

cvs done.
Comment 10 Fedora Update System 2008-08-25 08:39:01 EDT
drupal-date-6.x.2.0-2.rc2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/drupal-date-6.x.2.0-2.rc2.fc9
Comment 11 Fedora Update System 2008-09-10 03:17:37 EDT
drupal-date-6.x.2.0-2.rc2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.